Obtenez une définition de formulaire
curl --request GET \
--url https://api.hubapi.com/marketing/forms/2027-03-beta/{formId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/forms/2027-03-beta/{formId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/forms/2027-03-beta/{formId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/marketing/forms/2027-03-beta/{formId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/marketing/forms/2027-03-beta/{formId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/marketing/forms/2027-03-beta/{formId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/marketing/forms/2027-03-beta/{formId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"archived": true,
"configuration": {
"allowLinkToResetKnownValues": true,
"archivable": true,
"cloneable": true,
"createNewContactForNewEmail": true,
"editable": true,
"language": "af",
"lifecycleStages": [
{
"objectTypeId": "<string>",
"value": "<string>"
}
],
"notifyContactOwner": true,
"notifyRecipients": [
"<string>"
],
"postSubmitAction": {
"type": "redirect_url",
"value": "<string>"
},
"prePopulateKnownValues": true,
"recaptchaEnabled": true,
"embedType": "V3"
},
"createdAt": "2023-11-07T05:31:56Z",
"displayOptions": {
"renderRawHtml": true,
"style": {
"backgroundWidth": "<string>",
"fontFamily": "<string>",
"helpTextColor": "<string>",
"helpTextSize": "<string>",
"labelTextColor": "<string>",
"labelTextSize": "<string>",
"legalConsentTextColor": "<string>",
"legalConsentTextSize": "<string>",
"submitAlignment": "center",
"submitColor": "<string>",
"submitFontColor": "<string>",
"submitSize": "<string>"
},
"submitButtonText": "<string>",
"theme": "canvas",
"cssClass": "<string>"
},
"fieldGroups": [
{
"fields": [
{
"dependentFields": [
{
"dependentCondition": {
"operator": "between",
"rangeEnd": "<string>",
"rangeStart": "<string>",
"value": "<string>",
"values": [
"<string>"
]
},
"dependentField": "<unknown>"
}
],
"fieldType": "email",
"hidden": true,
"label": "<string>",
"name": "<string>",
"objectTypeId": "<string>",
"required": true,
"validation": {
"blockedEmailDomains": [
"<string>"
],
"useDefaultBlockList": true
},
"defaultValue": "<string>",
"description": "<string>",
"placeholder": "<string>"
}
],
"groupType": "default_group",
"richTextType": "image",
"richText": "<string>"
}
],
"formType": "hubspot",
"id": "<string>",
"legalConsentOptions": {
"type": "none"
},
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Formulaires
Get a form definition
Récupérez les détails d’un formulaire spécifique dans votre compte HubSpot à l’aide de son identifiant unique. Ce point de terminaison vous permet d’accéder aux informations d’un formulaire, y compris sa configuration et ses options d’affichage. Vous pouvez également définir si la réponse doit inclure les formulaires archivés.
GET
/
marketing
/
forms
/
2027-03-beta
/
{formId}
Obtenez une définition de formulaire
curl --request GET \
--url https://api.hubapi.com/marketing/forms/2027-03-beta/{formId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/forms/2027-03-beta/{formId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/forms/2027-03-beta/{formId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/marketing/forms/2027-03-beta/{formId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/marketing/forms/2027-03-beta/{formId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/marketing/forms/2027-03-beta/{formId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/marketing/forms/2027-03-beta/{formId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"archived": true,
"configuration": {
"allowLinkToResetKnownValues": true,
"archivable": true,
"cloneable": true,
"createNewContactForNewEmail": true,
"editable": true,
"language": "af",
"lifecycleStages": [
{
"objectTypeId": "<string>",
"value": "<string>"
}
],
"notifyContactOwner": true,
"notifyRecipients": [
"<string>"
],
"postSubmitAction": {
"type": "redirect_url",
"value": "<string>"
},
"prePopulateKnownValues": true,
"recaptchaEnabled": true,
"embedType": "V3"
},
"createdAt": "2023-11-07T05:31:56Z",
"displayOptions": {
"renderRawHtml": true,
"style": {
"backgroundWidth": "<string>",
"fontFamily": "<string>",
"helpTextColor": "<string>",
"helpTextSize": "<string>",
"labelTextColor": "<string>",
"labelTextSize": "<string>",
"legalConsentTextColor": "<string>",
"legalConsentTextSize": "<string>",
"submitAlignment": "center",
"submitColor": "<string>",
"submitFontColor": "<string>",
"submitSize": "<string>"
},
"submitButtonText": "<string>",
"theme": "canvas",
"cssClass": "<string>"
},
"fieldGroups": [
{
"fields": [
{
"dependentFields": [
{
"dependentCondition": {
"operator": "between",
"rangeEnd": "<string>",
"rangeStart": "<string>",
"value": "<string>",
"values": [
"<string>"
]
},
"dependentField": "<unknown>"
}
],
"fieldType": "email",
"hidden": true,
"label": "<string>",
"name": "<string>",
"objectTypeId": "<string>",
"required": true,
"validation": {
"blockedEmailDomains": [
"<string>"
],
"useDefaultBlockList": true
},
"defaultValue": "<string>",
"description": "<string>",
"placeholder": "<string>"
}
],
"groupType": "default_group",
"richTextType": "image",
"richText": "<string>"
}
],
"formType": "hubspot",
"id": "<string>",
"legalConsentOptions": {
"type": "none"
},
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
Paramètres de requête
S'il faut renvoyer uniquement les résultats qui ont été archivés.
Réponse
successful operation
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Options disponibles:
hubspot - none
- legitimate_interest
- explicit_consent_to_process
- implicit_consent_to_process
Show child attributes
Show child attributes
Dernière modification le 6 octobre 2026